Fibre Channel (SAN)

Reply
Occasional Visitor
Posts: 1
Registered: ‎04-08-2014

Unable to launch the application, sw300 : EZ Switch Setup

[ Edited ]

Hello here!

We have Windows 2003 x64, Java (build 1.7.0_60-b19), Internet Explorer, Mozilla Firefox, HP 8 Gb SAN Switch with Serial and Ethernet cable.

Succesfully connected directly to the switch and set IP address - here it 192.168.168.230. It's answered our ping. 

After initialization i can open web panel, i have error:

 

Unable to launch the application

 

Name: sw300 : EZ Switch Setup

Publisher: v7.0.2c

Location: http://192.168.168.230

 

More Information

Error: Unable to load resource: http://192.168.168.230/loc_res.jar

 

I tried to setup lowest java security, tried det direct connect in proxy setup, tried

jdk.certpath.disabledAlgorithms=MD2, RSA keySize < 256

And nothing works.

 

Help me please!

 

 

Spoiler
<jnlp spec="1.6+" codebase="http://192.168.168.230/">
<information>
<title>sw300 : EZ Switch Setup</title>
<vendor>v7.0.2c</vendor>
<description>Web Tools</description>
<icon kind="splash" href="/Splash_WT.jpg"/>
</information>
<application-desc main-class="com.brocade.pm.ezsetup.EZSetup">
<argument>192.168.168.230</argument>
</application-desc>
<resources>
<j2se version="1.6+" initial-heap-size="64m" max-heap-size="512m"/>
<jar href="ezsetup.jar" download="eager"/>
<jar href="res.jar" download="eager"/>
<jar href="wtcommon.jar" download="eager"/>
<jar href="common.jar" download="eager"/>
<jar href="Base.jar" download="eager"/>
<jar href="wtimages.jar" download="eager"/>
<jar href="wt-thirdparty.jar" download="eager"/>
<jar href="images.jar" download="eager"/>
<jar href="online_help.jar" download="eager"/>
<property name="jnlp.packEnabled" value="true"/>
<property name="page" value="/EZSetup.html"/>
<property name="token" value=""/>
<property name="authenticated" value="-2"/>
<property name="WebStarted" value="yes"/>
<property name="urlProtocol" value="http"/>
<property name="urlPort" value="80"/>
<property name="adCapable" value="1"/>
<property name="isVFEnabled" value="false"/>
<property name="switchName" value="sw300"/>
<extension name="Third Party" href="thirdparty.jnlp"/>
</resources>
<security>
<all-permissions/>
</security>
</jnlp>
Spoiler
com.sun.deploy.net.FailedDownloadException: Unable to load resource: http://192.168.168.230/loc_res.jar
at com.sun.deploy.net.DownloadEngine.actionDownload(Unknown Source)
at com.sun.deploy.net.DownloadEngine.downloadResource(Unknown Source)
at com.sun.deploy.cache.ResourceProviderImpl.getResource(Unknown Source)
at com.sun.deploy.cache.ResourceProviderImpl.getResource(Unknown Source)
at com.sun.javaws.LaunchDownload$DownloadTask.call(Unknown Source)
at java.util.concurrent.FutureTask.run(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Spoiler
java.io.FileNotFoundException: http://192.168.168.230/loc_res.jar
at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
at com.sun.deploy.net.HttpUtils.followRedirects(Unknown Source)
at com.sun.deploy.net.BasicHttpRequest.doRequest(Unknown Source)
at com.sun.deploy.net.BasicHttpRequest.doGetRequestEX(Unknown Source)
at com.sun.deploy.net.DownloadEngine.actionDownload(Unknown Source)
at com.sun.deploy.net.DownloadEngine.downloadResource(Unknown Source)
at com.sun.deploy.cache.ResourceProviderImpl.getResource(Unknown Source)
at com.sun.deploy.cache.ResourceProviderImpl.getResource(Unknown Source)
at com.sun.javaws.LaunchDownload$DownloadTask.call(Unknown Source)
at java.util.concurrent.FutureTask.run(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

 

Valued Contributor
Posts: 520
Registered: ‎03-20-2011

Re: Unable to launch the application, sw300 : EZ Switch Setup

hi! there are some applet signing issues with java starting from version 1.7 update 45. try using any lower version? preferably even 1.6

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.